Package skyview.process.imagefinder

# Class ScaledBorder

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.ScaledBorder

public class ScaledBorder extends RectRecurse
This class works almost exactly like the BorderImageFinder, however when calculating the distance from the edge of the image, the distance is scaled to diagonal dimension of the image.

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`ScaledBorder()`

## Method Summary

Modifier and Type
Method
Description
`protected double`
`criterion(int i, int nx, int ny, double x, double y)`
Given a point at x,y in an image of size a,b in the rectangle 0,a 0,b find the minimum distance to the edge.

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, findImages, getCandidate, getImage, getInputLimits, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScaledBorder

public ScaledBorder()

## Method Details

### criterion

protected double criterion(int i, int nx, int ny, double x, double y)
Given a point at x,y in an image of size a,b in the rectangle 0,a 0,b find the minimum distance to the edge. We assume that x,y is contained in the rectangle. If x,y is outside the rectangle, then this should return a negative number. In this version the distance is scaled according to the size of the image. Unfortunately we cannot assume that this is constant. This ImageFinder is called when we have images with substantially different sizes in the survey.

Specified by:
  `criterion` in class `RectRecurse`
Parameters:
  `i` - The index of the image being considered
  `nx` - The width of the candidate image
  `ny` - The height of the caandiate image
  `x` - The x-value of the requested point.
  `y` - The y-value of the requested point.
Returns:
  A measure of the desirability of using this image to same this point. Larger is better.